import 'package:welltested/welltested.dart';

@Welltested(excludedMethods: ['logoutUser'])
class Auth {
  String? randomStringVariable;
  int? randomIntVariable;
  double? randomDoubleVariable;

  Future<User> loginWithEmailAndPassword(
      {required String email, required String password}) async {
    User user = User("unknown");
    final currentUserId = user.uid;
    if (currentUserId != "unknown") {
      return User("user already logged in");
    }
    if (email.isEmpty || password.isEmpty) {
      throw Exception("Email or Password can't be empty");
    }
    if (email == "test@test.com" && password == "password") {
      user = User("user logged in app");
    }
    return user;
  }

  Future<void> logoutUser() async {
    //Add Logout Functionality
  }
}

class User {
  final String uid;
  User(this.uid);
}
