/*
 * Created on May 1st 2023
 *
 * Copyright (C) 2023 Welltested AI - All Rights Reserved
 * The code in this file is Intellectutal Property of Welltested AI.
 * and can't be edited, redistributed or used without a valid license of it's product (Welltested)[https://welltested.ai]
 */
import 'package:welltested/annotation.dart';

extension ScreenTypeExt on ScreenType {
  String get valueString {
    switch (this) {
      case ScreenType.Mobile:
        return 'mobile';
      case ScreenType.Tablet:
        return 'tablet';
      case ScreenType.Web:
        return 'web';
    }
  }
}
